<script setup lang="ts">
import { useVModel } from '@vueuse/core';
import { Select } from 'ant-design-vue';

defineOptions({
  inheritAttrs: false,
});
const props = defineProps({
  value: {
    type: String,
    default: '',
  },
  placeholder: {
    type: String,
    default: '请输入',
  },
});
const emits = defineEmits(['update:value']);
const mValue = useVModel(props, 'value', emits, {
  defaultValue: props.value,
  passive: true,
});
</script>
<template>
  <Select
    v-model:value="mValue"
    :placeholder="placeholder"
    list-type="picture-card"
    mode="tags"
    style="width: 100%"
  />
</template>
<style lang="less" scoped></style>
